Subject: Re: [PATCH] make 'git add' a first class user friendly interface to the index

From: Han-Wen Nienhuys <[email-masked]>
Date: Sat, 02 Dec 2006 15:51:01 +0100

Jakub Narebski escreveu:
> Junio C Hamano wrote:
> 
>> By the way, aren't people disturbed that "git rm" does not
>> default to "-f" -- I rarely use the command myself but that
>> makes it feel even more awkward that "git rm foo" does not
>> remove the file "foo".
> 
> But _only_ if file is unmodified. I think that "git rm" meaning
> "remove this file from version control, but not from working area"
> is a good thing; if you want to remove file, just /usr/bin/rm it.

In my workflow,  I regularly get bitten by this: 

I do 

  git checkout devel
  git rm src/foo.cc
  git commit src/foo.cc    # or whatever -a -i --difficult option is necessary

  git checkout stable

     ...barf: trying to overwrite untracked src/foo.cc file..

I think for the default to remove from the working area is better. 

FWIW, I consider it annoyance with CVS as well 

-- 
 Han-Wen Nienhuys - [email-masked] - http://www.xs4all.nl/~hanwen